Update a Semantic CWT credentials configuration
Roles
Analytics Events
/v2/credentials/compact-semantic/configurations/{id}Updates an existing Semantic CWT credentials configuration by providing its ID.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_START
- CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the Semantic CWT credentials configuration.
uuidRequest Body
application/json
Update a Credential Configuration
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/compact-semantic/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "claimMappings": { "property1": {}, "property2": {} } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "claimMappings": { "property1": { "mapFrom": "string", "required": true, "defaultValue": "string" }, "property2": { "mapFrom": "string", "required": true, "defaultValue": "string" } }, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }}How would you rate this page?
Retrieve a Semantic CWT credentials configuration GET
Returns a Semantic CWT credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_START * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_FAIL
Delete a Semantic CWT credentials configuration DELETE
Deletes an existing Semantic CWT credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_START * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_FAIL